package org.wso2.carbon.device.mgt.ios.payload.beans;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;

import java.util.List;

@ApiModel(value = "Restriction",
        description = "Information related to Restrictions.")
public class Restriction extends PayloadOperation {

    @ApiModelProperty(name = "allowAccountModification",
            value = "Allow/Disallow Account Modification.", required = true)
    private Boolean allowAccountModification;
    @ApiModelProperty(name = "allowAddingGameCenterFriends",
            value = "Allow/Disallow Adding Game center friends.", required = true)
    private Boolean allowAddingGameCenterFriends;
    @ApiModelProperty(name = "allowAirDrop",
            value = "Allow/Disallow Air drop.", required = true)
    private Boolean allowAirDrop;
    @ApiModelProperty(name = "allowAppCellularDataModification",
            value = "Allow/Disallow App Cellular Data modification.", required = true)
    private Boolean allowAppCellularDataModification;
    @ApiModelProperty(name = "allowAppInstallation",
            value = "Allow/Disallow Application installation.", required = true)
    private Boolean allowAppInstallation;
    @ApiModelProperty(name = "allowAppRemoval",
            value = "Allow/Disallow Application removal.", required = true)
    private Boolean allowAppRemoval;
    @ApiModelProperty(name = "allowAssistant",
            value = "Allow/Disallow Assistant.", required = true)
    private Boolean allowAssistant;
    @ApiModelProperty(name = "allowAssistantUserGeneratedContent",
            value = "Allow/Disallow assistant user generated content.", required = true)
    private Boolean allowAssistantUserGeneratedContent;
    @ApiModelProperty(name = "allowAssistantWhileLocked;",
            value = "Allow/Disallow assistant white lock.", required = true)
    private Boolean allowAssistantWhileLocked;
    @ApiModelProperty(name = "allowBookstore",
            value = "List of device Ids to be need to execute VPN operation.", required = true)
    private Boolean allowBookstore;
    @ApiModelProperty(name = "allowBookstoreErotica",
            value = "Allow/Disallow Book store.", required = true)
    private Boolean allowBookstoreErotica;
    @ApiModelProperty(name = "allowCamera",
            value = "Allow/Disallow Camera.", required = true)
    private Boolean allowCamera;
    @ApiModelProperty(name = "allowChat",
            value = "Allow/Disallow chat.", required = true)
    private Boolean allowChat;
    @ApiModelProperty(name = "allowCloudBackup",
            value = "Allow/Disallow Cloud backup.", required = true)
    private Boolean allowCloudBackup;
    @ApiModelProperty(name = "allowCloudDocumentSync",
            value = "Allow/Disallow syncing cloud document.", required = true)
    private Boolean allowCloudDocumentSync;
    @ApiModelProperty(name = "allowCloudKeychainSync",
            value = "Allow/Disallow Syncing cloud key chain.", required = true)
    private Boolean allowCloudKeychainSync;
    @ApiModelProperty(name = "allowDiagnosticSubmission",
            value = "Allow/Disallow Diagnostic submission.", required = true)
    private Boolean allowDiagnosticSubmission;
    @ApiModelProperty(name = "allowExplicitContent",
            value = "Allow/Disallow Explicit content.", required = true)
    private Boolean allowExplicitContent;
    @ApiModelProperty(name = "allowFindMyFriendsModification",
            value = "Allow/Disallow modification in find my friends.", required = true)
    private Boolean allowFindMyFriendsModification;
    @ApiModelProperty(name = "allowFingerprintForUnlock",
            value = "Allow/Disallow unlock finger print.", required = true)
    private Boolean allowFingerprintForUnlock;
    @ApiModelProperty(name = "allowGameCenter",
            value = "Allow/Disallow Game center.", required = true)
    private Boolean allowGameCenter;
    @ApiModelProperty(name = "allowGlobalBackgroundFetchWhenRoaming",
            value = "Allow/Disallow Global background Fetch and Roaming.", required = true)
    private Boolean allowGlobalBackgroundFetchWhenRoaming;
    @ApiModelProperty(name = "allowInAppPurchases",
            value = "Allow/Disallow purchase application.", required = true)
    private Boolean allowInAppPurchases;
    @ApiModelProperty(name = "allowLockScreenControlCenter",
            value = "Allow/Disallow Lock screen control center.", required = true)
    private Boolean allowLockScreenControlCenter;
    @ApiModelProperty(name = "allowHostPairing",
            value = "Allow/Disallow Host pairing.", required = true)
    private Boolean allowHostPairing;
    @ApiModelProperty(name = "allowLockScreenNotificationsView",
            value = "Allow/Disallow lock screen Notification view.", required = true)
    private Boolean allowLockScreenNotificationsView;
    @ApiModelProperty(name = "allowLockScreenTodayView",
            value = "Allow/Disallow Lock screen today view.", required = true)
    private Boolean allowLockScreenTodayView;
    @ApiModelProperty(name = "allowMultiplayerGaming",
            value = "Allow/Disallow Multi player Gaming.", required = true)
    private Boolean allowMultiplayerGaming;
    @ApiModelProperty(name = "allowOpenFromManagedToUnmanaged",
            value = "Allow/Disallow open from managed to unmanaged.", required = true)
    private Boolean allowOpenFromManagedToUnmanaged;
    @ApiModelProperty(name = "allowOpenFromUnmanagedToManaged",
            value = "Allow/Disallow Open from Unmanaged to managed.", required = true)
    private Boolean allowOpenFromUnmanagedToManaged;
    @ApiModelProperty(name = "allowOTAPKIUpdates",
            value = "Allow/Disallow PKI Updates.", required = true)
    private Boolean allowOTAPKIUpdates;
    @ApiModelProperty(name = "allowPassbookWhileLocked",
            value = "Allow/Disallow passbook White locked.", required = true)
    private Boolean allowPassbookWhileLocked;
    @ApiModelProperty(name = "allowPhotoStream",
            value = "Allow/Disallow Photo stream.", required = true)
    private Boolean allowPhotoStream;
    @ApiModelProperty(name = "allowSafari",
            value = "Allow/Disallow Safari.", required = true)
    private Boolean allowSafari;
    @ApiModelProperty(name = "safariAllowAutoFill",
            value = "Allow/Disallow safari auto fill.", required = true)
    private Boolean safariAllowAutoFill;
    @ApiModelProperty(name = "safariForceFraudWarning",
            value = "Allow/Disallow Safari Fraud Warning.", required = true)
    private Boolean safariForceFraudWarning;
    @ApiModelProperty(name = "safariAllowJavaScript",
            value = "Allow/Disallow Safari Java script.", required = true)
    private Boolean safariAllowJavaScript;
    @ApiModelProperty(name = "safariAllowPopups",
            value = "Allow/Disallow Safari allow popups.", required = true)
    private Boolean safariAllowPopups;
    @ApiModelProperty(name = "allowScreenShot",
            value = "Allow/Disallow screen shot.", required = true)
    private Boolean allowScreenShot;
    @ApiModelProperty(name = "allowSharedStream",
            value = "Allow/Disallow shared stream.", required = true)
    private Boolean allowSharedStream;
    @ApiModelProperty(name = "allowUIConfigurationProfileInstallation",
            value = "Allow/Disallow UI configuration profile installation.", required = true)
    private Boolean allowUIConfigurationProfileInstallation;
    @ApiModelProperty(name = "allowUntrustedTLSPrompt",
            value = "Allow/Disallow Untrusted TLS prompt.", required = true)
    private Boolean allowUntrustedTLSPrompt;
    @ApiModelProperty(name = "allowVideoConferencing",
            value = "Allow/Disallow video conferencing.", required = true)
    private Boolean allowVideoConferencing;
    @ApiModelProperty(name = "allowVoiceDialing",
            value = "Allow/Disallow Voice dialing.", required = true)
    private Boolean allowVoiceDialing;
    @ApiModelProperty(name = "allowYouTube",
            value = "Allow/Disallow Youtube.", required = true)
    private Boolean allowYouTube;
    @ApiModelProperty(name = "allowiTunes",
            value = "Allow/Disallow iTunes.", required = true)
    private Boolean allowiTunes;
    @ApiModelProperty(name = "forceAssistantProfanityFilter",
            value = "Allow/Disallow force Assistant Profanity Filter  ", required = true)
    private Boolean forceAssistantProfanityFilter;
    @ApiModelProperty(name = "forceEncryptedBackup",
            value = "Allow/Disallow force encrypted backup.", required = true)
    private Boolean forceEncryptedBackup;
    @ApiModelProperty(name = "forceITunesStorePasswordEntry",
            value = "Allow/Disallow force iTunes store password Entry.", required = true)
    private Boolean forceITunesStorePasswordEntry;
    @ApiModelProperty(name = "forceLimitAdTracking",
            value = "Allow/Disallow Limited Tracking.", required = true)
    private Boolean forceLimitAdTracking;
    @ApiModelProperty(name = "forceAirPlayOutgoingRequestsPairingPassword",
            value = "Allow/Disallow force AirPlay Outgoing Requests PairingPassword.", required = true)
    private Boolean forceAirPlayOutgoingRequestsPairingPassword;
    @ApiModelProperty(name = "forceAirPlayIncomingRequestsPairingPassword",
            value = "Allow/Disallow forceAirPlay Incoming Requests PairingPassword.", required = true)
    private Boolean forceAirPlayIncomingRequestsPairingPassword;
    @ApiModelProperty(name = "allowManagedAppsCloudSync",
            value = "Allow/Disallow Syncing managed apps.", required = true)
    private Boolean allowManagedAppsCloudSync;
    @ApiModelProperty(name = "allowEraseContentAndSettings",
            value = "Allow/Disallow Erasing Content and settings.", required = true)
    private Boolean allowEraseContentAndSettings;
    @ApiModelProperty(name = "allowSpotlightInternetResults",
            value = "Allow/Disallow Spotlight Internet results.", required = true)
    private Boolean allowSpotlightInternetResults;
    @ApiModelProperty(name = "allowEnablingRestrictions",
            value = "Allow/Disallow Enabling Restrictions.", required = true)
    private Boolean allowEnablingRestrictions;
    @ApiModelProperty(name = "allowActivityContinuation",
            value = "Allow/Disallow Activity Continuation.", required = true)
    private Boolean allowActivityContinuation;
    @ApiModelProperty(name = "allowEnterpriseBookBackup",
            value = "Allow/Disallow Backup Enterprise Book.", required = true)
    private Boolean allowEnterpriseBookBackup;
    @ApiModelProperty(name = "allowEnterpriseBookMetadataSync",
            value = "Allow/Disallow syncing Enterprise Book Meta Data.", required = true)
    private Boolean allowEnterpriseBookMetadataSync;
    @ApiModelProperty(name = "allowPodcasts",
            value = "Allow/Disallow podcasts.", required = true)
    private Boolean allowPodcasts;
    @ApiModelProperty(name = "allowDefinitionLookup",
            value = "Allow/Disallow Definition lookup.", required = true)
    private Boolean allowDefinitionLookup;
    @ApiModelProperty(name = "allowPredictiveKeyboard",
            value = "Allow/Disallow predictive key board.", required = true)
    private Boolean allowPredictiveKeyboard;
    @ApiModelProperty(name = "allowAutoCorrection",
            value = "Allow/Disallow Auto correction.", required = true)
    private Boolean allowAutoCorrection;
    @ApiModelProperty(name = "allowSpellCheck",
            value = "Allow/Disallow spell-check.", required = true)
    private Boolean allowSpellCheck;
    @ApiModelProperty(name = "allowFingerprintModification",
            value = "Allow/Disallow Finger print modification.", required = true)
    private Boolean allowFingerprintModification;
    @ApiModelProperty(name = "forceWatchWristDetection",
            value = "Allow/Disallow force watch wrist Detection.", required = true)
    private Boolean forceWatchWristDetection;
    @ApiModelProperty(name = "ratingApps",
            value = "Allow/Disallow rating apps. Allowed values are, " +
                    "Don't allow apps - 0, Age 4+ - 100, Age 9+ - 200, Age 12+ - 300, 17+ - 400, " +
                    "Allow all apps - 1000",
            required = true)
    private Integer ratingApps;
    @ApiModelProperty(name = "ratingMovies",
            value = "Allow/Disallow rating movies. Allowed values are, " +
                    "Don't allow movies - 0, Rated G - 100, Rated PG - 200, Rated PG-13 - 300, Rated R - 400," +
                    "Rated NC-17 - 500, Allow all movies - 1000",
            required = true)
    private Integer ratingMovies;
    @ApiModelProperty(name = "ratingRegion",
            value = "Allow/Disallow rating region. Allowed values are, " +
                    "United states - us, United kingdom - gb, New Zealand - nz, Japan - jp, Ireland - ie," +
                    "Germany - de, France - Fr, Canada - ca, Australia - au", required = true)
    private String ratingRegion;
    @ApiModelProperty(name = "ratingTVShows",
            value = "Allow/Disallow rating TV shows. Allowed values are, Don't allow TV shows - 0, TV-Y - 100," +
                    " TV-Y7 -200, TV-G - 300, TV-PG - 400, TV-14 - 500, TV-MA - 500, Allow all TV shows - 1000",
            required = true)
    private Integer ratingTVShows;


    //0: Never
    //1: From visited sites only
    //2: Always
    //Defaults to 2.
    private Integer safariAcceptCookies;
    private List<String> autonomousSingleAppModePermittedAppIDs;

    @Override
    public void validateRequest() throws ProfileConfigurationException {

    }

    public Boolean getAllowAccountModification() {
        return allowAccountModification;
    }

    public void setAllowAccountModification(Boolean allowAccountModification) {
        this.allowAccountModification = allowAccountModification;
    }

    public Boolean getAllowAddingGameCenterFriends() {
        return allowAddingGameCenterFriends;
    }

    public void setAllowAddingGameCenterFriends(Boolean allowAddingGameCenterFriends) {
        this.allowAddingGameCenterFriends = allowAddingGameCenterFriends;
    }

    public Boolean getAllowAirDrop() {
        return allowAirDrop;
    }

    public void setAllowAirDrop(Boolean allowAirDrop) {
        this.allowAirDrop = allowAirDrop;
    }

    public Boolean getAllowAppCellularDataModification() {
        return allowAppCellularDataModification;
    }

    public void setAllowAppCellularDataModification(Boolean allowAppCellularDataModification) {
        this.allowAppCellularDataModification = allowAppCellularDataModification;
    }

    public Boolean getAllowAppInstallation() {
        return allowAppInstallation;
    }

    public void setAllowAppInstallation(Boolean allowAppInstallation) {
        this.allowAppInstallation = allowAppInstallation;
    }

    public Boolean getAllowAppRemoval() {
        return allowAppRemoval;
    }

    public void setAllowAppRemoval(Boolean allowAppRemoval) {
        this.allowAppRemoval = allowAppRemoval;
    }

    public Boolean getAllowAssistant() {
        return allowAssistant;
    }

    public void setAllowAssistant(Boolean allowAssistant) {
        this.allowAssistant = allowAssistant;
    }

    public Boolean getAllowAssistantUserGeneratedContent() {
        return allowAssistantUserGeneratedContent;
    }

    public void setAllowAssistantUserGeneratedContent(Boolean allowAssistantUserGeneratedContent) {
        this.allowAssistantUserGeneratedContent = allowAssistantUserGeneratedContent;
    }

    public Boolean getAllowAssistantWhileLocked() {
        return allowAssistantWhileLocked;
    }

    public void setAllowAssistantWhileLocked(Boolean allowAssistantWhileLocked) {
        this.allowAssistantWhileLocked = allowAssistantWhileLocked;
    }

    public Boolean getAllowBookstore() {
        return allowBookstore;
    }

    public void setAllowBookstore(Boolean allowBookstore) {
        this.allowBookstore = allowBookstore;
    }

    public Boolean getAllowBookstoreErotica() {
        return allowBookstoreErotica;
    }

    public void setAllowBookstoreErotica(Boolean allowBookstoreErotica) {
        this.allowBookstoreErotica = allowBookstoreErotica;
    }

    public Boolean getAllowCamera() {
        return allowCamera;
    }

    public void setAllowCamera(Boolean allowCamera) {
        this.allowCamera = allowCamera;
    }

    public Boolean getAllowChat() {
        return allowChat;
    }

    public void setAllowChat(Boolean allowChat) {
        this.allowChat = allowChat;
    }

    public Boolean getAllowCloudBackup() {
        return allowCloudBackup;
    }

    public void setAllowCloudBackup(Boolean allowCloudBackup) {
        this.allowCloudBackup = allowCloudBackup;
    }

    public Boolean getAllowCloudDocumentSync() {
        return allowCloudDocumentSync;
    }

    public void setAllowCloudDocumentSync(Boolean allowCloudDocumentSync) {
        this.allowCloudDocumentSync = allowCloudDocumentSync;
    }

    public Boolean getAllowCloudKeychainSync() {
        return allowCloudKeychainSync;
    }

    public void setAllowCloudKeychainSync(Boolean allowCloudKeychainSync) {
        this.allowCloudKeychainSync = allowCloudKeychainSync;
    }

    public Boolean getAllowDiagnosticSubmission() {
        return allowDiagnosticSubmission;
    }

    public void setAllowDiagnosticSubmission(Boolean allowDiagnosticSubmission) {
        this.allowDiagnosticSubmission = allowDiagnosticSubmission;
    }

    public Boolean getAllowExplicitContent() {
        return allowExplicitContent;
    }

    public void setAllowExplicitContent(Boolean allowExplicitContent) {
        this.allowExplicitContent = allowExplicitContent;
    }

    public Boolean getAllowFindMyFriendsModification() {
        return allowFindMyFriendsModification;
    }

    public void setAllowFindMyFriendsModification(Boolean allowFindMyFriendsModification) {
        this.allowFindMyFriendsModification = allowFindMyFriendsModification;
    }

    public Boolean getAllowFingerprintForUnlock() {
        return allowFingerprintForUnlock;
    }

    public void setAllowFingerprintForUnlock(Boolean allowFingerprintForUnlock) {
        this.allowFingerprintForUnlock = allowFingerprintForUnlock;
    }

    public Boolean getAllowGameCenter() {
        return allowGameCenter;
    }

    public void setAllowGameCenter(Boolean allowGameCenter) {
        this.allowGameCenter = allowGameCenter;
    }

    public Boolean getAllowGlobalBackgroundFetchWhenRoaming() {
        return allowGlobalBackgroundFetchWhenRoaming;
    }

    public void setAllowGlobalBackgroundFetchWhenRoaming(Boolean allowGlobalBackgroundFetchWhenRoaming) {
        this.allowGlobalBackgroundFetchWhenRoaming = allowGlobalBackgroundFetchWhenRoaming;
    }

    public Boolean getAllowInAppPurchases() {
        return allowInAppPurchases;
    }

    public void setAllowInAppPurchases(Boolean allowInAppPurchases) {
        this.allowInAppPurchases = allowInAppPurchases;
    }

    public Boolean getAllowLockScreenControlCenter() {
        return allowLockScreenControlCenter;
    }

    public void setAllowLockScreenControlCenter(Boolean allowLockScreenControlCenter) {
        this.allowLockScreenControlCenter = allowLockScreenControlCenter;
    }

    public Boolean getAllowHostPairing() {
        return allowHostPairing;
    }

    public void setAllowHostPairing(Boolean allowHostPairing) {
        this.allowHostPairing = allowHostPairing;
    }

    public Boolean getAllowLockScreenNotificationsView() {
        return allowLockScreenNotificationsView;
    }

    public void setAllowLockScreenNotificationsView(Boolean allowLockScreenNotificationsView) {
        this.allowLockScreenNotificationsView = allowLockScreenNotificationsView;
    }

    public Boolean getAllowLockScreenTodayView() {
        return allowLockScreenTodayView;
    }

    public void setAllowLockScreenTodayView(Boolean allowLockScreenTodayView) {
        this.allowLockScreenTodayView = allowLockScreenTodayView;
    }

    public Boolean getAllowMultiplayerGaming() {
        return allowMultiplayerGaming;
    }

    public void setAllowMultiplayerGaming(Boolean allowMultiplayerGaming) {
        this.allowMultiplayerGaming = allowMultiplayerGaming;
    }

    public Boolean getAllowOpenFromManagedToUnmanaged() {
        return allowOpenFromManagedToUnmanaged;
    }

    public void setAllowOpenFromManagedToUnmanaged(Boolean allowOpenFromManagedToUnmanaged) {
        this.allowOpenFromManagedToUnmanaged = allowOpenFromManagedToUnmanaged;
    }

    public Boolean getAllowOpenFromUnmanagedToManaged() {
        return allowOpenFromUnmanagedToManaged;
    }

    public void setAllowOpenFromUnmanagedToManaged(Boolean allowOpenFromUnmanagedToManaged) {
        this.allowOpenFromUnmanagedToManaged = allowOpenFromUnmanagedToManaged;
    }

    public Boolean getAllowOTAPKIUpdates() {
        return allowOTAPKIUpdates;
    }

    public void setAllowOTAPKIUpdates(Boolean allowOTAPKIUpdates) {
        this.allowOTAPKIUpdates = allowOTAPKIUpdates;
    }

    public Boolean getAllowPassbookWhileLocked() {
        return allowPassbookWhileLocked;
    }

    public void setAllowPassbookWhileLocked(Boolean allowPassbookWhileLocked) {
        this.allowPassbookWhileLocked = allowPassbookWhileLocked;
    }

    public Boolean getAllowPhotoStream() {
        return allowPhotoStream;
    }

    public void setAllowPhotoStream(Boolean allowPhotoStream) {
        this.allowPhotoStream = allowPhotoStream;
    }

    public Boolean getAllowSafari() {
        return allowSafari;
    }

    public void setAllowSafari(Boolean allowSafari) {
        this.allowSafari = allowSafari;
    }

    public Boolean getSafariAllowAutoFill() {
        return safariAllowAutoFill;
    }

    public void setSafariAllowAutoFill(Boolean safariAllowAutoFill) {
        this.safariAllowAutoFill = safariAllowAutoFill;
    }

    public Boolean getSafariForceFraudWarning() {
        return safariForceFraudWarning;
    }

    public void setSafariForceFraudWarning(Boolean safariForceFraudWarning) {
        this.safariForceFraudWarning = safariForceFraudWarning;
    }

    public Boolean getSafariAllowJavaScript() {
        return safariAllowJavaScript;
    }

    public void setSafariAllowJavaScript(Boolean safariAllowJavaScript) {
        this.safariAllowJavaScript = safariAllowJavaScript;
    }

    public Boolean getSafariAllowPopups() {
        return safariAllowPopups;
    }

    public void setSafariAllowPopups(Boolean safariAllowPopups) {
        this.safariAllowPopups = safariAllowPopups;
    }

    public Boolean getAllowScreenShot() {
        return allowScreenShot;
    }

    public void setAllowScreenShot(Boolean allowScreenShot) {
        this.allowScreenShot = allowScreenShot;
    }

    public Boolean getAllowSharedStream() {
        return allowSharedStream;
    }

    public void setAllowSharedStream(Boolean allowSharedStream) {
        this.allowSharedStream = allowSharedStream;
    }

    public Boolean getAllowUIConfigurationProfileInstallation() {
        return allowUIConfigurationProfileInstallation;
    }

    public void setAllowUIConfigurationProfileInstallation(Boolean allowUIConfigurationProfileInstallation) {
        this.allowUIConfigurationProfileInstallation = allowUIConfigurationProfileInstallation;
    }

    public Boolean getAllowUntrustedTLSPrompt() {
        return allowUntrustedTLSPrompt;
    }

    public void setAllowUntrustedTLSPrompt(Boolean allowUntrustedTLSPrompt) {
        this.allowUntrustedTLSPrompt = allowUntrustedTLSPrompt;
    }

    public Boolean getAllowVideoConferencing() {
        return allowVideoConferencing;
    }

    public void setAllowVideoConferencing(Boolean allowVideoConferencing) {
        this.allowVideoConferencing = allowVideoConferencing;
    }

    public Boolean getAllowVoiceDialing() {
        return allowVoiceDialing;
    }

    public void setAllowVoiceDialing(Boolean allowVoiceDialing) {
        this.allowVoiceDialing = allowVoiceDialing;
    }

    public Boolean getAllowYouTube() {
        return allowYouTube;
    }

    public void setAllowYouTube(Boolean allowYouTube) {
        this.allowYouTube = allowYouTube;
    }

    public Boolean getAllowiTunes() {
        return allowiTunes;
    }

    public void setAllowiTunes(Boolean allowiTunes) {
        this.allowiTunes = allowiTunes;
    }

    public Boolean getForceAssistantProfanityFilter() {
        return forceAssistantProfanityFilter;
    }

    public void setForceAssistantProfanityFilter(Boolean forceAssistantProfanityFilter) {
        this.forceAssistantProfanityFilter = forceAssistantProfanityFilter;
    }

    public Boolean getForceEncryptedBackup() {
        return forceEncryptedBackup;
    }

    public void setForceEncryptedBackup(Boolean forceEncryptedBackup) {
        this.forceEncryptedBackup = forceEncryptedBackup;
    }

    public Boolean getForceITunesStorePasswordEntry() {
        return forceITunesStorePasswordEntry;
    }

    public void setForceITunesStorePasswordEntry(Boolean forceITunesStorePasswordEntry) {
        this.forceITunesStorePasswordEntry = forceITunesStorePasswordEntry;
    }

    public Boolean getForceLimitAdTracking() {
        return forceLimitAdTracking;
    }

    public void setForceLimitAdTracking(Boolean forceLimitAdTracking) {
        this.forceLimitAdTracking = forceLimitAdTracking;
    }

    public Boolean getForceAirPlayOutgoingRequestsPairingPassword() {
        return forceAirPlayOutgoingRequestsPairingPassword;
    }

    public void setForceAirPlayOutgoingRequestsPairingPassword(Boolean forceAirPlayOutgoingRequestsPairingPassword) {
        this.forceAirPlayOutgoingRequestsPairingPassword = forceAirPlayOutgoingRequestsPairingPassword;
    }

    public Boolean getForceAirPlayIncomingRequestsPairingPassword() {
        return forceAirPlayIncomingRequestsPairingPassword;
    }

    public void setForceAirPlayIncomingRequestsPairingPassword(Boolean forceAirPlayIncomingRequestsPairingPassword) {
        this.forceAirPlayIncomingRequestsPairingPassword = forceAirPlayIncomingRequestsPairingPassword;
    }

    public Boolean getAllowManagedAppsCloudSync() {
        return allowManagedAppsCloudSync;
    }

    public void setAllowManagedAppsCloudSync(Boolean allowManagedAppsCloudSync) {
        this.allowManagedAppsCloudSync = allowManagedAppsCloudSync;
    }

    public Boolean getAllowEraseContentAndSettings() {
        return allowEraseContentAndSettings;
    }

    public void setAllowEraseContentAndSettings(Boolean allowEraseContentAndSettings) {
        this.allowEraseContentAndSettings = allowEraseContentAndSettings;
    }

    public Boolean getAllowSpotlightInternetResults() {
        return allowSpotlightInternetResults;
    }

    public void setAllowSpotlightInternetResults(Boolean allowSpotlightInternetResults) {
        this.allowSpotlightInternetResults = allowSpotlightInternetResults;
    }

    public Boolean getAllowEnablingRestrictions() {
        return allowEnablingRestrictions;
    }

    public void setAllowEnablingRestrictions(Boolean allowEnablingRestrictions) {
        this.allowEnablingRestrictions = allowEnablingRestrictions;
    }

    public Boolean getAllowActivityContinuation() {
        return allowActivityContinuation;
    }

    public void setAllowActivityContinuation(Boolean allowActivityContinuation) {
        this.allowActivityContinuation = allowActivityContinuation;
    }

    public Boolean getAllowEnterpriseBookBackup() {
        return allowEnterpriseBookBackup;
    }

    public void setAllowEnterpriseBookBackup(Boolean allowEnterpriseBookBackup) {
        this.allowEnterpriseBookBackup = allowEnterpriseBookBackup;
    }

    public Boolean getAllowEnterpriseBookMetadataSync() {
        return allowEnterpriseBookMetadataSync;
    }

    public void setAllowEnterpriseBookMetadataSync(Boolean allowEnterpriseBookMetadataSync) {
        this.allowEnterpriseBookMetadataSync = allowEnterpriseBookMetadataSync;
    }

    public Boolean getAllowPodcasts() {
        return allowPodcasts;
    }

    public void setAllowPodcasts(Boolean allowPodcasts) {
        this.allowPodcasts = allowPodcasts;
    }

    public Boolean getAllowDefinitionLookup() {
        return allowDefinitionLookup;
    }

    public void setAllowDefinitionLookup(Boolean allowDefinitionLookup) {
        this.allowDefinitionLookup = allowDefinitionLookup;
    }

    public Boolean getAllowPredictiveKeyboard() {
        return allowPredictiveKeyboard;
    }

    public void setAllowPredictiveKeyboard(Boolean allowPredictiveKeyboard) {
        this.allowPredictiveKeyboard = allowPredictiveKeyboard;
    }

    public Boolean getAllowAutoCorrection() {
        return allowAutoCorrection;
    }

    public void setAllowAutoCorrection(Boolean allowAutoCorrection) {
        this.allowAutoCorrection = allowAutoCorrection;
    }

    public Boolean getAllowSpellCheck() {
        return allowSpellCheck;
    }

    public void setAllowSpellCheck(Boolean allowSpellCheck) {
        this.allowSpellCheck = allowSpellCheck;
    }

    public Boolean getAllowFingerprintModification() {
        return allowFingerprintModification;
    }

    public void setAllowFingerprintModification(Boolean allowFingerprintModification) {
        this.allowFingerprintModification = allowFingerprintModification;
    }

    public Boolean getForceWatchWristDetection() {
        return forceWatchWristDetection;
    }

    public void setForceWatchWristDetection(Boolean forceWatchWristDetection) {
        this.forceWatchWristDetection = forceWatchWristDetection;
    }

    public Integer getRatingApps() {
        return ratingApps;
    }

    public void setRatingApps(Integer ratingApps) {
        this.ratingApps = ratingApps;
    }

    public Integer getRatingMovies() {
        return ratingMovies;
    }

    public void setRatingMovies(Integer ratingMovies) {
        this.ratingMovies = ratingMovies;
    }

    public String getRatingRegion() {
        return ratingRegion;
    }

    public void setRatingRegion(String ratingRegion) {
        this.ratingRegion = ratingRegion;
    }

    public Integer getRatingTVShows() {
        return ratingTVShows;
    }

    public void setRatingTVShows(Integer ratingTVShows) {
        this.ratingTVShows = ratingTVShows;
    }

    public Integer getSafariAcceptCookies() {
        return safariAcceptCookies;
    }

    public void setSafariAcceptCookies(Integer safariAcceptCookies) {
        this.safariAcceptCookies = safariAcceptCookies;
    }

    public List<String> getAutonomousSingleAppModePermittedAppIDs() {
        return autonomousSingleAppModePermittedAppIDs;
    }

    public void setAutonomousSingleAppModePermittedAppIDs(List<String> autonomousSingleAppModePermittedAppIDs) {
        this.autonomousSingleAppModePermittedAppIDs = autonomousSingleAppModePermittedAppIDs;
    }
}
